maemo-invoker(1)

NAME
maemo-invoker - invoke a program from the launcher

SYNOPSIS
maemo-invoker [options] file [file-options...]

DESCRIPTION
maemo-invoker tells maemo-launcher what application to start. It will invoke the file provided on the command line with its optional arguments, otherwise it will invoke its own program name with the string .launch appended and will pass the arguments as well. So it can be symlinked in place of the real application, and this one moved to application.launch.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--delay SECS
    After invoking the program sleep for SECS seconds before exiting. If SECS is 0 maemo-invoker will wait until the program finishes, returning its exit status. The default behaviour is to wait for the invoked program to exit.

--help
    Show summary of options.

--version
    Show version of program.

ENVIRONMENT

MAEMO_INVOKER_DELAY
    Set the exit delay. The command line option overrides this.

SEE ALSO
maemo-launcher(1).

AUTHOR
maemo-invoker was written by Guillem Jover <guillem.jover@nokia.com>.